Kuiper implemented several plugins.

## Sources

| Name                  | Description                                                  |
| --------------------- | ------------------------------------------------------------ |
| [zmq](sources/zmq.md)   | The source will subscribe to a Zero Mq topic to import the messages into kuiper |
| [random](sources/random.md)   | The source will generate random inputs with a specified pattern |

## Sinks



| Name                  | Description                                                  |
| --------------------- | ------------------------------------------------------------ |
| [file](sinks/file.md) | The sink is used for saving analysis result into a specified file. |
| [zmq](sinks/zmq.md)   | The sink will publish the result into a Zero Mq topic                                                             |
| [influxdb](sinks/influxdb.md)   | The sink will publish the result into a InfluxDB 




## Functions

...

